
/**
* ...
* @author Dani Llops
* @version 0.1
*/

package
{
	import Main;
	import com.llops.utils.Random;
	
	public class Pixel
	{
		public var x:Number;
		public var y:Number;
		public var name:String = "pixel_"
		
		public var vx:Number = 0;
		public var vy:Number = 0;
		private var _gravedad:Number;
		
		public function Pixel(num:int, posx:Number, posy:Number)
		{
			x = posx;
			y = posy;
			name += String(num);
			
			var angulo:int = Random.obtenerEntero(135, 180);
			if (x == 0) angulo = Random.obtenerEntero(0, 45)
			var rad:Number = angulo * Math.PI / 180;
			
			var _velocidad:Number = Random.obtenerFlotante(3, 7);
			_gravedad = Random.obtenerFlotante(.3, .8);
			
			vx = _velocidad * Math.cos(rad);
			vy = _velocidad * Math.sin(rad);
		}
		
		public function mover():void
		{	
			vy += _gravedad;
			x += vx;
			y += vy;
		}
	}
}